Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface CatalogManager

All Superinterfaces
  BusinessSmartComponent, CatalogManagerBusiness, CatalogService, javax.ejb.EJBObject, Remote, Serializable, Session

Deprecated

    @Deprecated
    public interface CatalogManager

extends CatalogService, CatalogManagerBusiness

The `CatalogManager` is the main entry point to the Product Catalog. It controls access to a number of discrete service interfaces: category manager, product item manager, query manager and the custom data manager.
In order to use the various Product Catalog services, one must first create a `CatalogManager` and then obtain discrete service interfaces using the various service accessors. Each service interface is responsible for delegating to an implementation service, as specified in each service interface deployment environment. In this way, different service implementations may be transparently substituted.

See Also
  `CatalogManagerHome`, `CatalogManagerImpl`, `CategoryManager`, `ProductItemManager`, `CatalogQueryManager`, `CustomDataManager`

Method Summary

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.service.CatalogService
`getCatalogManager`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogManagerBusiness
`createAdminCatalogRequest, createCatalogRequest, getCatalogQueryManager, getCategoryManager, getCustomDataManager, getProductItemManager, onRemoveItem`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.